#
# git clone https://git.jami.net/savoirfairelinux/ring-lrc
# cd ring-lrc
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o ../ring-lrc-${DATE}.tar.xz --prefix=ring-lrc-${DATE}/ master
#

%define major		1
%define libname		%mklibname ringclient %{major}
%define devname		%mklibname ringclient -d

%global gdate   20210118
%global rel     1

Name:		jami-lrc
Version:	1.0.0
Release:	%mkrel %{?gdate:4.git%gdate.}%{rel}
Summary:	LibRingClient, a library used for the Jami clients
Group:		System/Libraries
License:	GPLv3+
Url:		https://git.jami.net/savoirfairelinux/ring-lrc
Source:		ring-lrc-%{gdate}.tar.xz
Patch0:		ring-lrc-1.0.0-soversion.patch
Patch1:		jami-lrc-chatview-windows.css.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Sql)

BuildRequires:	jami-daemon-devel

%description
LibRingClient, a library used for the Jami clients.

#------------------------------------------------

%package	i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch
Obsoletes:	libringclient-i18n < 1.0.0-4.git20201222.1

%description	i18n
Internationalization and locale data for %{name}.

#------------------------------------------------

%package -n	%{libname}
Summary:	LibRingClient, a library used for the Jami clients
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n	%{libname}
LibRingClient, a library used for the Jami clients.

#------------------------------------------------

%package -n	%{devname}
Group:		Development/Other
Summary:	Development files for %{name}
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ringclient-devel = %{version}-%{release}
Provides:	ring-lrc-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the development libraries and header files for %{name}.

#------------------------------------------------

%prep
%setup -qn ring-lrc-%{gdate}
%autopatch -p1

%build
%cmake_qt5 \
	-DENABLE_VIDEO=ON

%cmake_build

%install
%cmake_install

%find_lang lrc --with-qt

%files i18n -f lrc.lang
%dir %{_datadir}/libringclient/
%dir %{_datadir}/libringclient/translations/

%files -n %{libname}
%{_libdir}/libringclient.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%{_includedir}/libringclient/
%{_libdir}/cmake/LibRingClient/
%{_libdir}/libringclient.so


%changelog
* Sun Jan 24 2021 wally <wally> 1.0.0-4.git20210118.1.mga8
+ Revision: 1673223
- new git snapshot 20210118

* Sat Jan 09 2021 wally <wally> 1.0.0-4.git20210107.1.mga8
+ Revision: 1670013
- new git snapshot 20210107

* Tue Dec 29 2020 daviddavid <daviddavid> 1.0.0-4.git20201222.3.mga8
+ Revision: 1664701
- restbed build dependency no more needed

* Fri Dec 25 2020 wally <wally> 1.0.0-4.git20201222.2.mga8
+ Revision: 1663680
- include chatview-windows.css to devel pkg for jami-qt

* Fri Dec 25 2020 wally <wally> 1.0.0-4.git20201222.1.mga8
+ Revision: 1663564
- rename as jami-lrc
- update to latest git snapshot

* Sun Feb 23 2020 daviddavid <daviddavid> 1.0.0-4.git20190125.3.mga8
+ Revision: 1549679
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 daviddavid <daviddavid> 1.0.0-4.git20190125.2.mga7
+ Revision: 1385027
- Qt5 Rebuild

* Tue Jan 29 2019 daviddavid <daviddavid> 1.0.0-4.git20190125.1.mga7
+ Revision: 1361800
- update to latest v1.0.0 git snapshot 20190125

* Wed Oct 03 2018 pterjan <pterjan> 1.0.0-4.git20180117.3.mga7
+ Revision: 1316327
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 daviddavid <daviddavid> 1.0.0-4.git20180117.2.mga7
+ Revision: 1233803
- add patch to fix build with new Qt5 >= 5.11.0

* Sun Jan 21 2018 daviddavid <daviddavid> 1.0.0-4.git20180117.1.mga7
+ Revision: 1195322
- update to latest v1.0.0 git snapshot to get pkg to build with all new libs

* Tue Jan 03 2017 daviddavid <daviddavid> 1.0.0-3.mga6
+ Revision: 1079868
- rebuild against fixed restbed

* Mon Jan 02 2017 daviddavid <daviddavid> 1.0.0-2.mga6
+ Revision: 1079679
- do not build on armv5tl

* Mon Jan 02 2017 daviddavid <daviddavid> 1.0.0-1.mga6
+ Revision: 1079651
- initial package libringclient

